package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.mapper.SysPointTierMapper;
import com.ruoyi.system.domain.SysPointTier;
import com.ruoyi.system.service.ISysPointTierService;

/**
 * 积分使用梯次Service业务层处理
 *
 * @author ruoyi
 * @date 2025-05-28
 */
@Service
public class SysPointTierServiceImpl extends ServiceImpl<BaseMapper<SysPointTier>,SysPointTier> implements ISysPointTierService
{
    @Autowired
    private SysPointTierMapper sysPointTierMapper;

    /**
     * 查询积分使用梯次
     *
     * @param id 积分使用梯次主键
     * @return 积分使用梯次
     */
    @Override
    public SysPointTier selectSysPointTierById(Long id)
    {
        return sysPointTierMapper.selectSysPointTierById(id);
    }

    /**
     * 查询积分使用梯次列表
     *
     * @param sysPointTier 积分使用梯次
     * @return 积分使用梯次
     */
    @Override
    public List<SysPointTier> selectSysPointTierList(SysPointTier sysPointTier)
    {
        return sysPointTierMapper.selectSysPointTierList(sysPointTier);
    }

    /**
     * 新增积分使用梯次
     *
     * @param sysPointTier 积分使用梯次
     * @return 结果
     */
    @Override
    public int insertSysPointTier(SysPointTier sysPointTier)
    {
        sysPointTier.setCreateTime(DateUtils.getNowDate());
        return sysPointTierMapper.insertSysPointTier(sysPointTier);
    }

    /**
     * 修改积分使用梯次
     *
     * @param sysPointTier 积分使用梯次
     * @return 结果
     */
    @Override
    public int updateSysPointTier(SysPointTier sysPointTier)
    {
        sysPointTier.setUpdateTime(DateUtils.getNowDate());
        return sysPointTierMapper.updateSysPointTier(sysPointTier);
    }

    /**
     * 批量删除积分使用梯次
     *
     * @param ids 需要删除的积分使用梯次主键
     * @return 结果
     */
    @Override
    public int deleteSysPointTierByIds(Long[] ids)
    {
        return sysPointTierMapper.deleteSysPointTierByIds(ids);
    }

    /**
     * 删除积分使用梯次信息
     *
     * @param id 积分使用梯次主键
     * @return 结果
     */
    @Override
    public int deleteSysPointTierById(Long id)
    {
        return sysPointTierMapper.deleteSysPointTierById(id);
    }
}
